MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/daemon.h File Reference

`#include "mpd_error.h"`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
void | daemonize_init (const char *user, const char *group, const char *pidfile)
void | daemonize_finish (void)
void | daemonize_kill (void)
| Kill the MPD which is currently running, pid determined from the pid file.
void | daemonize_close_stdin (void)
| Close stdin (fd 0) and re-open it as /dev/null.
void | daemonize_set_user (void)
| Change to the configured Unix user.
void | daemonize (bool detach)

## Function Documentation

void daemonize | ( | bool | detach | ) |

void daemonize_close_stdin | ( | void |  | ) |

Close stdin (fd 0) and re-open it as /dev/null.

void daemonize_finish | ( | void |  | ) |

void daemonize_init | ( | const char * | user,
|  | const char * | group,
|  | const char * | pidfile
| ) |  |

void daemonize_kill | ( | void |  | ) |

Kill the MPD which is currently running, pid determined from the pid file.

void daemonize_set_user | ( | void |  | ) |

Change to the configured Unix user.